<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
  require('includes/application_top.php');
 if (tep_session_is_registered('payment_page')){

    if ($payment_page=='default'){
       tep_redirect(tep_href_link(FILENAME_CHECKOUT_PROCESS_NEW,tep_get_all_get_params() . $HTTP_SESSION_VARS['payment_params'],'SSL'));
    } else if ($payment_page=='refund'){
       tep_redirect(tep_href_link(FILENAME_REFUND_PROCESS,tep_get_all_get_params() . $HTTP_SESSION_VARS['payment_params'],'SSL'));
    } else if ($payment_page=='waitlist'){
       tep_redirect(tep_href_link(FILENAME_PENDING_WAITLIST_PAYMENTS_CONFIRM,tep_get_all_get_params() . $HTTP_SESSION_VARS['payment_params'] . '&action=update','SSL'));
	} else if ($payment_page=="wallet"){
		tep_redirect(tep_href_link(FILENAME_WALLET_PROCESS,tep_get_all_get_params() . '&validID=' . $HTTP_SESSION_VARS["checkID"],'SSL'));
    }
  }
  tep_redirect(tep_href_link(FILENAME_FORBIDEN));
  
?>
